Loading...
Searching...
No Matches
read_partid_serialno_t Struct Reference
Device listing, opening, closing and querying

MCU (LPC43xx) part ID and serial number. More...

`#include <hackrf.h>`

## Data Fields

uint32_t | part_id [2]
| MCU part ID register value.
uint32_t | serial_no [4]
| MCU device unique ID (serial number)

## Detailed Description

See the documentation of the MCU for details! Read via hackrf_board_partid_serialno_read

## Field Documentation

## part_id

uint32_t read_partid_serialno_t::part_id[2]

## serial_no

uint32_t read_partid_serialno_t::serial_no[4]

The documentation for this struct was generated from the following file:

- /tmp/release.6358/host/libhackrf/src/hackrf.h